"
" write_mkpath: If :write! is issued for a file that has nonexistent path
" elements, create the full path with mkdir() before saving.
"
" Author: Tom Ryder <tom@sanctum.geek.nz>
" License: Same as Vim itself
"  
if exists('loaded_write_mkpath') || &compatible || v:version < 700
  finish
endif

" Check path to every file before it's saved
augroup write_mkpath
  autocmd!
  autocmd BufWritePre *
        \ call write_mkpath#(expand('<afile>:p:h'))
augroup END
